var AllStyles = require('../AllStyles');

var MinimalRoundedDetailed = {
    case : {
        shape : AllStyles.shape.roundedCircle
    },
    dial : {
        shape : AllStyles.shape.roundedCircle,
        bg: {
            pattern: {
                type: 'burst'
            }
        }
    },
    hands : {
        type : {
            hour : 'hour',
            minute : 'minute'
        },
        hour : {
            color : AllStyles.background.inverse
        },
        minute : {
            color : AllStyles.background.inverse
        },
        second : {
            color : AllStyles.background.inverse
        },
    },
    index : {
        color : AllStyles.background.inverse,
        nodeCount : AllStyles.index.type.hour
    },
    grid : {
        4 : {
            dial : {
                border : 'solid black 1px',
                shape : AllStyles.shape.roundedCircle
            },
            index : {
                color : AllStyles.background.inverse,
                nodeCount : AllStyles.index.type.hour
            },
            hand : {
                color : AllStyles.background.inverse
            }            
        },
        6 : {
            dial : {
                border : 'solid black 1px',
                shape : AllStyles.shape.roundedCircle
            },
            index : {
                color : AllStyles.background.inverse,
                nodeCount : AllStyles.index.type.hour
            },
            hand : {
                color : AllStyles.background.inverse,
                type : 'second'
            }
        },
        8 : {
            dial : {
                border : 'solid black 1px',
                shape : AllStyles.shape.roundedCircle
            },
            index : {
                color : AllStyles.background.inverse,
                nodeCount : AllStyles.index.type.hour
            },
            hand : {
                color : AllStyles.background.inverse
            }
        }
    }
}

module.exports = MinimalRoundedDetailed;